/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

#imp-turn-right, #imp-turn-left, #imp-back {
	cursor: pointer;
}

.jet-listing-grid--770 .jet-listing-grid__item:nth-child(even) > div {
    background-color: #F8F8F8 !important;
}

.jet-listing-grid--770 .jet-listing-grid__item {
	padding: 0 10px 0 10px;
}

.imp-tooltip * {
	font-family: "Montserrat", Sans-serif !important;
}

.imp-object-poly polygon:hover {
    opacity: 0.7 !important;
}

.imp-ui-light .imp-ui-layers-select {
	border-radius: 0 !important;
	color: #3C3C3B !important;
    font-family: "Montserrat", Sans-serif !important;
	border: 1px solid #D0AC69 !important;
	box-shadow: none !important;
	font-size: 18px !important;
	max-width: 220px !important;
	width: 100% !important;
}

.imp-tooltip {
	background: #3C3C3B !important;
	border-radius: 0 !important;
	padding: 20px !important;
}

.imp-tooltip-content p:first-child {
	display: none;
}

@media (max-width: 620px) {
	.imp-ui-layers-menu-wrap {
		display: none;
	}
}

.building-layer-icon {
    pointer-events: none !important;
}

/* ============== IMP TABLE ============== */

#imp-table {
    overflow-x: auto;
}

#imp-table::-webkit-scrollbar {
	height: 2px;
}

#imp-table::-webkit-scrollbar-thumb {
    background-color: #d0ac69;
}

#imp-table::-webkit-scrollbar-track {
    background-color: #f9f9f9;
}

#imp-table .elementor-element {
    white-space: nowrap;
}

/* Head */
#imp-table .imp-table-header {
	justify-content: center;
	gap: 0;
}
#imp-table .imp-table-header>div {
	flex: 1;
	min-width: 130px;
}

/* Body */
#imp-table .imp-table-body .jet-listing-grid__item div>div>div {
	padding-top: 0;
	min-width: 130px;
}

@media (max-width: 1200px) {
	#imp-table>div, #imp-table .elementor-tab-content {
		max-width: fit-content;
		width: fit-content;
	}
	#imp-table, #imp-table .elementor-tab-content {
		padding-left: 15px;
		box-sizing: border-box;
	}
}

.imp-table-body .jet-listing-grid__item {
	padding: 0;
}

/* tab list */

.elementor-element-32ee439 .elementor-tab-title {
	border: 1px solid #D0AC69 !important;
}

.elementor-element-32ee439 .elementor-tab-title.elementor-active {
	background: #D0AC69;
}

.elementor-element-32ee439 .elementor-tabs-wrapper {
	gap: 18px;
}

.elementor-element-32ee439 .elementor-tab-content {
	margin-top: 28px;
}

#parter {
	overflow-x: hidden;
	overflow-y: scroll;
	height: 400px;
}

#parter::-webkit-scrollbar {
    width: 4px;
}

#parter::-webkit-scrollbar-thumb {
    background-color: #d0ac69;
}

#parter::-webkit-scrollbar-track {
    background-color: #f9f9f9;
}

/* ============== END OF IMP TABLE ============== */

/* ============== START OF RANGE ============== */

.custom-range {
	display: flex;
	flex-direction: row;
	gap: 48px;
}

.custom-range-container {
	width: 100%;
	max-width: 600px;
	display: flex;
	flex-direction: column;
}

.custom-range-container p {
	color: #3C3C3B;
    font-family: "Montserrat", Sans-serif;
    font-size: 16px;
    font-weight: 500;
	text-align: center;
}

.sliders-control {
	position: relative;
}

input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	pointer-events: all;
	width: 16px;
	height: 16px;
	background-color: #D0AC69;
	border-radius: 50%;
	box-shadow: 0 0 0 1px #D0AC69;
	cursor: pointer;
}

input[type=range]::-moz-range-thumb {
	-webkit-appearance: none;
	pointer-events: all;
	width: 16px;
	height: 16px;
	background-color: #D0AC69;
	border-radius: 50%;
	box-shadow: 0 0 0 1px #D0AC69;
	cursor: pointer;
}

@media (max-width: 620px) {
	.custom-range {
		align-items: center;
		flex-direction: column;
		gap: 28px;
	}
	.custom-range-container {
		max-width: 380px;
	}
	.custom-range-container p {
		 font-size: 12px;
	}
	input[type=range]::-moz-range-thumb {
		width: 24px;
		height: 24px;
	}
	input[type=range]::-webkit-slider-thumb {
		width: 24px;
		height: 24px;
	}
}

input[type=range]::-webkit-slider-thumb:hover {
	background: #D0AC69;
}

input[type=range]::-webkit-slider-thumb:active {
	box-shadow: inset 0 0 3px #D0AC69, 0 0 9px #D0AC69;
	-webkit-box-shadow: inset 0 0 3px #D0AC69, 0 0 9px #D0AC69;
}

input[type="range"] {
	-webkit-appearance: none;
	appearance: none;
	height: 2px;
	width: 100%;
	position: absolute;
	background-color: #3c3c3b;
	pointer-events: none;
}

.fromSlider {
	height: 0;
	z-index: 1;
}

.custom-range-values {
	font-family: "Montserrat", Sans-serif;
	font-size: 14px;
	font-weight: 500;
	color: #3C3C3B;
	text-align: center;
	margin-top: 20px;
}

#filter_pietro_1, #filter_pietro_2, #filter_pietro_3, #filter_pietro_4 {
	display: none;
}

#tabela_parter_message, #tabela_pietro1_message, #tabela_pietro2_message, #tabela_pietro3_message, #tabela_pietro4_message {
	padding: 8px;
    font-size: 14px;
    background: #f00;
    color: #fff;
    margin: 8px;
}

/* ============== END OF RANGE ============== */